|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QDate

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QDate class reference

### Static Public Members

- QDate currentDate ( Qt::TimeSpec spec )
- QString dayName ( int weekday )
- bool leapYear ( int year )
- QString monthName ( int month )

## Member Function Documentation

### QDate QDate::currentDate ( Qt::TimeSpec spec ) `[static]`

Use the currentDate() overload that takes no parameters; or extract from currentDateTime() instead.

### QString QDate::dayName ( int weekday ) `[static]`

Use shortDayName() instead.

### bool QDate::leapYear ( int year ) `[static]`

Use isLeapYear() instead.

### QString QDate::monthName ( int month ) `[static]`

Use shortMonthName() instead.